[Документация Yandex Cloud](../../../index.md) > [Yandex Data Processing](../../index.md) > Справочник API > [REST (англ.)](../index.md) > [Cluster](index.md) > ListUILinks

# Yandex Data Processing API, REST: Cluster.ListUILinks

Retrieves a list of links to web interfaces being proxied by Yandex Data Processing UI Proxy.

## HTTP request

```
GET https://dataproc.api.cloud.yandex.net/dataproc/v1/clusters/{clusterId}/ui_links
```

## Path parameters

#|
||Field | Description ||
|| clusterId | **string**

Required field. Required. ID of the Hadoop cluster.

The maximum string length in characters is 50. ||
|#

## Response {#yandex.cloud.dataproc.v1.ListUILinksResponse}

**HTTP Code: 200 - OK**

```json
{
  "links": [
    {
      "name": "string",
      "url": "string"
    }
  ]
}
```

#|
||Field | Description ||
|| links[] | **[UILink](#yandex.cloud.dataproc.v1.UILink)**

Requested list of ui links. ||
|#

## UILink {#yandex.cloud.dataproc.v1.UILink}

#|
||Field | Description ||
|| name | **string** ||
|| url | **string** ||
|#